Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class InstanceDomain

    java.lang.Object
      org.jboss.aop.AspectManager
          org.jboss.aop.Domain
              org.jboss.aop.InstanceDomain

All Implemented Interfaces:
  org.jboss.util.loading.Translator

public class InstanceDomain
extends Domain

comment

Author:
  Bill Burke

Field Summary
`protected Advisor` | `advisor`

Fields inherited from class org.jboss.aop.Domain
`inheritsBindings, inheritsDeclarations, parent, parentFirst`

Fields inherited from class org.jboss.aop.AspectManager
`advisors, annotationIntroductions, annotationOverrides, aspectDefinitions, bindings, call, cflowStacks, classLoaderValidator, classMetaData, classMetaDataLoaders, classpool, classPoolFactory, construction, containers, convertableReference, debugClasses, declares, dynamicCFlows, dynamicStrategy, exclude, execution, get, hasConstructorInterception, hasFieldInterception, ignore, ignoreExpressions, include, interceptorFactories, interceptorStacks, interfaceIntroductions, manager, notificationHandler, optimize, perVMAspects, pointcutInfos, pointcuts, precedenceDefs, prune, registeredCLs, scopedClassLoaderDomains, scopedCLHelper, set, skipConstructorInterception, skipConvertableReference, skipFieldInterception, sortedPrecedenceDefEntries, subDomainsPerClass, subscribedDomainQueueRef, subscribedSubDomains, subscribedSubDomainsQueue, suppressReferenceErrors, suppressTransformationErrors, transformationStarted, typedefs, ucl2classes, verbose, within, withincode`

Constructor Summary
`InstanceDomain(AspectManager manager, boolean parentFirst)`

Method Summary
`void` | `addBinding(AdviceBinding binding)` Add an interceptor pointcut with a given name
`void` | `addClassMetaData(ClassMetaDataBinding meta)`
`Advisor` | `getAdvisor()`
`boolean` | `isAdvisorRegistered(Advisor advisor)` internal to jboss aop.
`void` | `setAdvisor(Advisor advisor)`

Methods inherited from class org.jboss.aop.Domain
`addConstructionInterceptionMarker, addFieldInterceptionMarker, attachMetaData, convertReference, findClassMetaDataLoader, getAdviceStack, getAnnotationIntroductions, getAnnotationOverrides, getAspectDefinition, getBindings, getCFlowStack, getCflowStacks, getClassMetaData, getClassMetaDataLoaders, getContainer, getDynamicAOPStrategy, getDynamicCFlow, getDynamicCFlows, getExclude, getIgnore, getIgnoreExpressions, getInclude, getInterceptorFactory, getInterceptorStacks, getInterfaceIntroductions, getPerVMAspect, getPerVMAspect, getPerVMAspects, getPointcut, getPointcutInfos, getPointcuts, getPrecedenceDefs, getRegisteredCls, getScopedClassLoaderDomains, getSubDomainsPerClass, getTypedef, getTypedefs, getUcl2Classes, isCall, isConstruction, isExecution, isGet, isSet, isWithin, isWithincode, removeBindings, setDynamicAOPStrategy, setInheritsBindings, setInheritsDeclarations, shouldSkipConstruction, shouldSkipFieldAccess, skipConstruction, skipFieldAccess, skipReference, updatePointcutStats, updateStats`

Methods inherited from class org.jboss.aop.AspectManager
`addAdviceStack, addAdvisorToClassMetaDataBinding, addAnnotationIntroduction, addAnnotationOverride, addAspectDefinition, addCFlowStack, addClassMetaDataLoader, addContainer, addDeclare, addDynamicCFlow, addInterceptorFactory, addInterfaceIntroduction, addPointcut, addPrecedence, addSubDomainPerClass, addTypedef, applyInterfaceIntroductions, applyInterfaceIntroductions, attachMetaData, clearUnregisteredClassLoaders, excludeClass, findAdvisor, findClassPool, forceResortPrecedenceDefs, getAdvisor, getAdvisor, getAdvisorIfAdvised, getAdvisors, getAnyAdvisorIfAdvised, getAspectDefinitions, getDeclares, getInterceptorFactories, getInterfaceIntroduction, getRegisteredClassPool, getRegisteredCLs, getSortedPrecedenceDefEntries, getTempClassAdvisor, getTempClassAdvisorIfNotExist, getTopLevelAspectManager, ignoreClass, includeClass, initialiseClassAdvisor, instance, instance, isNonAdvisableClassName, registerClass, registerClassLoader, removeAnnotationIntroduction, removeAnnotationOverride, removeAspectDefinition, removeBinding, removeCFlowStack, removeClassMetaData, removeClassMetaDataLoader, removeContainer, removeDeclare, removeDynamicCFlow, removeInterceptorFactory, removeInterceptorStack, removeInterfaceIntroduction, removePointcut, removePrecedence, removeTypedef, setBindings, setExclude, setIgnore, setInclude, subscribeSubDomain, transform, translate, translate, unregisterClassLoader, unsubscribeSubDomain, updateAdvisorsForAddedAnnotationOverride, updateAdvisorsForAddedBinding, updateAdvisorsForAddedClassMetaData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### advisor

    protected Advisor advisor

Constructor Detail

### InstanceDomain

    public InstanceDomain(AspectManager manager,
                          boolean parentFirst)

Method Detail

### getAdvisor

    public Advisor getAdvisor()

### setAdvisor

    public void setAdvisor(Advisor advisor)

### addBinding

    public void addBinding(AdviceBinding binding)

  Description copied from class: `AspectManager`
  Add an interceptor pointcut with a given name

  Overrides:
    `addBinding` in class `AspectManager`

### addClassMetaData

    public void addClassMetaData(ClassMetaDataBinding meta)

  Overrides:
    `addClassMetaData` in class `AspectManager`

### isAdvisorRegistered

    public boolean isAdvisorRegistered(Advisor advisor)

  internal to jboss aop. Do not call

  This is overriden so that AdviceBinding can clear an advisor that is created per-instance.

  Overrides:
    `isAdvisorRegistered` in class `AspectManager`
  Parameters:
    `advisor` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.